Summary:     IPv6 Tunnel Setup Protocol Client
Name:        tspc
Version:     2.1.1
Release:     4.pp
License:     GPL
Group:       Environment/Daemons
Source0:     http://www.hexago.com/files/%{name}-%{version}-src.tgz
Source1:     %{name}.init
Source2:     %{name}.sysconfig
Patch0:      %{name}-%{version}-install.patch
URL:         http://www.hexago.com/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Hexago
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel


%description
%{name} provides a mean to configure a tunnel obtained from a
tunnel server which is compliant to the tunnel setup protocol
(TSP). %{name} will connect to a tunnel server and request a
tunnel according to the specifications inside the configuration
file. As a background process, it will then monitor the state
of the tunnel. In the event of a timeout, tspc will reestablish
a new tunnel.


%prep
%setup -q -n %{name}2
%patch0 -p1
chmod a-x conf/*.in template/README
chmod a-x man/man5/* man/man8/*


%build
make \
	target=linux \
	all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make \
	target=linux                 \
	installdir=$RPM_BUILD_ROOT   \
	configdir=/usr/share/%{name} \
	install
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}


%post
/sbin/chkconfig --add tspc
/sbin/chkconfig tspc on
if [ -f /var/lock/subsys/tspc ]; then
  /etc/rc.d/init.d/tspc restart
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig tspc off
  /sbin/chkconfig --del tspc
  if [ -f /var/lock/subsys/tspc ]; then
    /etc/rc.d/init.d/tspc stop
  fi
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc *.txt
/etc/*.sample
%config(noreplace) /etc/sysconfig/*
/etc/rc.d/init.d/*
/usr/sbin/*
/usr/share/man/man5/*
/usr/share/man/man8/*
%dir /usr/share/%{name}
/usr/share/%{name}/*


%changelog
* Wed Aug 17 2005 peter.pramberger@member.fsf.org
- created

